org.eclipse.emf.cdo.common.revision

## Class CDORevisionUtil.AllRevisionsDumper.Stream.Html

- java.lang.Object
- - org.eclipse.emf.cdo.common.revision.CDORevisionUtil.AllRevisionsDumper
  - - org.eclipse.emf.cdo.common.revision.CDORevisionUtil.AllRevisionsDumper.Stream
    - - org.eclipse.emf.cdo.common.revision.CDORevisionUtil.AllRevisionsDumper.Stream.Html

- Enclosing class:
    CDORevisionUtil.AllRevisionsDumper.Stream

      public static class CDORevisionUtil.AllRevisionsDumper.Stream.Html
      extends CDORevisionUtil.AllRevisionsDumper.Stream

  A `revision dumper` that directs all output as HTML text to a stream.
  Author:
    Eike Stepper
  Apiviz

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.cdo.common.revision.CDORevisionUtil.AllRevisionsDumper.Stream

      `CDORevisionUtil.AllRevisionsDumper.Stream.Html, CDORevisionUtil.AllRevisionsDumper.Stream.Plain`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.cdo.common.revision.CDORevisionUtil.AllRevisionsDumper

      `CDORevisionUtil.AllRevisionsDumper.Stream`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Html(java.util.Map<CDOBranch,java.util.List<CDORevision>> map, java.io.PrintStream out)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `dumpBranch(CDOBranch branch)`
    `protected void` | `dumpEnd(java.util.List<CDOBranch> branches)`
    `protected void` | `dumpRevision(CDORevision revision)`
    `protected void` | `dumpRevision(CDORevision revision, java.io.PrintStream out)`
    `protected void` | `dumpStart(java.util.List<CDOBranch> branches)`

    - ### Methods inherited from class org.eclipse.emf.cdo.common.revision.CDORevisionUtil.AllRevisionsDumper.Stream

      `out`

    - ### Methods inherited from class org.eclipse.emf.cdo.common.revision.CDORevisionUtil.AllRevisionsDumper

      `dump, getMap`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Html

          public Html(java.util.Map<CDOBranch,java.util.List<CDORevision>> map,
                      java.io.PrintStream out)

  - ### Method Detail

    - #### dumpStart

          protected void dumpStart(java.util.List<CDOBranch> branches)

      Overrides:
        `dumpStart` in class `CDORevisionUtil.AllRevisionsDumper`

    - #### dumpEnd

          protected void dumpEnd(java.util.List<CDOBranch> branches)

      Overrides:
        `dumpEnd` in class `CDORevisionUtil.AllRevisionsDumper`

    - #### dumpBranch

          protected void dumpBranch(CDOBranch branch)

      Specified by:
        `dumpBranch` in class `CDORevisionUtil.AllRevisionsDumper`

    - #### dumpRevision

          protected void dumpRevision(CDORevision revision)

      Specified by:
        `dumpRevision` in class `CDORevisionUtil.AllRevisionsDumper`

    - #### dumpRevision

          protected void dumpRevision(CDORevision revision,
                                      java.io.PrintStream out)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html